Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F	(revision 5086)
@@ -364,5 +364,5 @@
       enddo 
 
-      do 12 ilev=1,nlev
+      do ilev=1,nlev
         do j=1,npoints 
          if (pfull(j,ilev) < 40000. .and.
@@ -375,12 +375,12 @@
            end if
         enddo
-12    continue
-
-      do 13 ilev=1,nlev
+      END DO
+
+      do ilev=1,nlev
         do j=1,npoints 
            if (at(j,ilev) > atmax(j) .and.
      &              ilev  >= itrop(j)) atmax(j)=at(j,ilev)
         enddo
-13    continue
+      END DO
 
       end if
@@ -391,10 +391,10 @@
               meantb(j) = 0.
 	      meantbclr(j) = 0. 
-          end do
+          END DO
       else
           do j=1,npoints
               meantb(j) = output_missing_value
        	      meantbclr(j) = output_missing_value
-          end do
+          END DO
       end if
       
@@ -466,5 +466,5 @@
  
       !initialize tau and albedocld to zero
-      do 15 ibox=1,ncol
+      do ibox=1,ncol
         do j=1,npoints 
             tau(j,ibox)=0.
@@ -474,5 +474,5 @@
           box_cloudy(j,ibox)=.false.
         enddo
-15    continue
+      END DO
 
       !compute total cloud optical depth for each column     
@@ -541,5 +541,5 @@
         if (ncolprint /= 0)
      &         write(6,*)  'ilev   pw (kg/m2)   tauwv(j)      dem_wv'
-        do 125 ilev=1,nlev
+        do ilev=1,nlev
           do j=1,npoints 
                !press and dpress are dyne/cm2 = Pascals *10
@@ -568,5 +568,5 @@
                enddo
              endif
-125     continue
+      END DO
 
         !initialize variables
@@ -740,5 +740,5 @@
             bb(j)=1/( exp(1307.27/skt(j)) - 1. )
             !bb(j)=5.67e-8*skt(j)**4
-          end do
+          END DO
 
         do ibox=1,ncol
@@ -751,6 +751,6 @@
      &         * trans_layers_above(j,ibox) 
             
-          end do
-        end do
+          END DO
+        END DO
 
         !calculate mean infrared brightness temperature
@@ -758,9 +758,9 @@
           do j=1,npoints 
             meantb(j) = meantb(j)+1307.27/(log(1.+(1./fluxtop(j,ibox))))
-	  end do
-        end do
+	  END DO
+        END DO
 	  do j=1, npoints
 	    meantb(j) = meantb(j) / real(ncol)
-	  end do        
+	  END DO
 
         if (ncolprint/=0) then
@@ -784,5 +784,5 @@
           write (6,'(8f7.2)') (meantb(j),ibox=1,ncolprint)
       
-          end do
+          END DO
       endif
     
@@ -925,5 +925,5 @@
 
       !compute cloud top pressure
-      do 30 ibox=1,ncol
+      do ibox=1,ncol
         !segregate according to optical thickness
         if (top_height == 1 .or. top_height == 3) then
@@ -933,5 +933,5 @@
             nmatch(j)=0
           enddo
-          do 29 k1=1,nlev-1
+          do k1=1,nlev-1
 	    if (top_height_direction == 2) then
 	      ilev = nlev - k1 
@@ -951,5 +951,5 @@
 	     end if                         
             enddo
-29        continue
+      END DO
 
           do j=1,npoints 
@@ -992,6 +992,6 @@
               levmatch(j,ibox)=ilev
               end if
-            end do
-          end do
+            END DO
+          END DO
         end if                            
           
@@ -1003,5 +1003,5 @@
         enddo
 
-30    continue
+      END DO
               
 !
@@ -1032,5 +1032,5 @@
 
       !reset frequencies
-      do 38 ilev=1,7
+      do ilev=1,7
       do 38 ilev2=1,7
         do j=1,npoints ! 
@@ -1042,4 +1042,5 @@
         enddo
 38    continue
+      END DO
 
       !reset variables need for averaging cloud properties
@@ -1060,5 +1061,5 @@
       boxarea = 1./real(ncol)
      
-      do 39 ibox=1,ncol
+      do ibox=1,ncol
         do j=1,npoints 
 
@@ -1166,5 +1167,5 @@
                        
         enddo ! j
-39    continue
+      END DO
       
       !compute mean cloud properties
@@ -1227,5 +1228,5 @@
      &           (cchar_realtops(acc(ilev,ibox)+1),ilev=1,nlev) 
      &           ,(cchar(acc(ilev,ibox)+1),ilev=1,nlev) 
-             end do
+             END DO
              close(9)
 
